import { K as go, L as kr, N as re, O as ho } from "./install-BuMO14Rb.js";
var ee, nn;
function Ga() {
  if (nn) return ee;
  nn = 1;
  var r = Object.prototype.toString;
  return ee = function(n) {
    var o = r.call(n), e = o === "[object Arguments]";
    return e || (e = o !== "[object Array]" && n !== null && typeof n == "object" && typeof n.length == "number" && n.length >= 0 && r.call(n.callee) === "[object Function]"), e;
  }, ee;
}
var te, an;
function mo() {
  if (an) return te;
  an = 1;
  var r;
  if (!Object.keys) {
    var t = Object.prototype.hasOwnProperty, n = Object.prototype.toString, o = Ga(), e = Object.prototype.propertyIsEnumerable, s = !e.call({ toString: null }, "toString"), i = e.call(function() {
    }, "prototype"), a = [
      "toString",
      "toLocaleString",
      "valueOf",
      "hasOwnProperty",
      "isPrototypeOf",
      "propertyIsEnumerable",
      "constructor"
    ], f = function(y) {
      var d = y.constructor;
      return d && d.prototype === y;
    }, c = {
      $applicationCache: !0,
      $console: !0,
      $external: !0,
      $frame: !0,
      $frameElement: !0,
      $frames: !0,
      $innerHeight: !0,
      $innerWidth: !0,
      $onmozfullscreenchange: !0,
      $onmozfullscreenerror: !0,
      $outerHeight: !0,
      $outerWidth: !0,
      $pageXOffset: !0,
      $pageYOffset: !0,
      $parent: !0,
      $scrollLeft: !0,
      $scrollTop: !0,
      $scrollX: !0,
      $scrollY: !0,
      $self: !0,
      $webkitIndexedDB: !0,
      $webkitStorageInfo: !0,
      $window: !0
    }, g = (function() {
      if (typeof window > "u")
        return !1;
      for (var y in window)
        try {
          if (!c["$" + y] && t.call(window, y) && window[y] !== null && typeof window[y] == "object")
            try {
              f(window[y]);
            } catch {
              return !0;
            }
        } catch {
          return !0;
        }
      return !1;
    })(), p = function(y) {
      if (typeof window > "u" || !g)
        return f(y);
      try {
        return f(y);
      } catch {
        return !1;
      }
    };
    r = function(d) {
      var b = d !== null && typeof d == "object", j = n.call(d) === "[object Function]", I = o(d), w = b && n.call(d) === "[object String]", O = [];
      if (!b && !j && !I)
        throw new TypeError("Object.keys called on a non-object");
      var S = i && j;
      if (w && d.length > 0 && !t.call(d, 0))
        for (var T = 0; T < d.length; ++T)
          O.push(String(T));
      if (I && d.length > 0)
        for (var X = 0; X < d.length; ++X)
          O.push(String(X));
      else
        for (var G in d)
          !(S && G === "prototype") && t.call(d, G) && O.push(String(G));
      if (s)
        for (var C = p(d), D = 0; D < a.length; ++D)
          !(C && a[D] === "constructor") && t.call(d, a[D]) && O.push(a[D]);
      return O;
    };
  }
  return te = r, te;
}
var ne, on;
function Ct() {
  if (on) return ne;
  on = 1;
  var r = Array.prototype.slice, t = Ga(), n = Object.keys, o = n ? function(i) {
    return n(i);
  } : mo(), e = Object.keys;
  return o.shim = function() {
    if (Object.keys) {
      var i = (function() {
        var a = Object.keys(arguments);
        return a && a.length === arguments.length;
      })(1, 2);
      i || (Object.keys = function(f) {
        return t(f) ? e(r.call(f)) : e(f);
      });
    } else
      Object.keys = o;
    return Object.keys || o;
  }, ne = o, ne;
}
var ae, un;
function Lr() {
  if (un) return ae;
  un = 1;
  var r = Object.defineProperty || !1;
  if (r)
    try {
      r({}, "a", { value: 1 });
    } catch {
      r = !1;
    }
  return ae = r, ae;
}
var oe, fn;
function _t() {
  return fn || (fn = 1, oe = SyntaxError), oe;
}
var ie, sn;
function tr() {
  return sn || (sn = 1, ie = TypeError), ie;
}
var ue, ln;
function So() {
  return ln || (ln = 1, ue = Object.getOwnPropertyDescriptor), ue;
}
var fe, cn;
function Ar() {
  if (cn) return fe;
  cn = 1;
  var r = /* @__PURE__ */ So();
  if (r)
    try {
      r([], "length");
    } catch {
      r = null;
    }
  return fe = r, fe;
}
var se, pn;
function Nt() {
  if (pn) return se;
  pn = 1;
  var r = /* @__PURE__ */ Lr(), t = /* @__PURE__ */ _t(), n = /* @__PURE__ */ tr(), o = /* @__PURE__ */ Ar();
  return se = function(s, i, a) {
    if (!s || typeof s != "object" && typeof s != "function")
      throw new n("`obj` must be an object or a function`");
    if (typeof i != "string" && typeof i != "symbol")
      throw new n("`property` must be a string or a symbol`");
    if (arguments.length > 3 && typeof arguments[3] != "boolean" && arguments[3] !== null)
      throw new n("`nonEnumerable`, if provided, must be a boolean or null");
    if (arguments.length > 4 && typeof arguments[4] != "boolean" && arguments[4] !== null)
      throw new n("`nonWritable`, if provided, must be a boolean or null");
    if (arguments.length > 5 && typeof arguments[5] != "boolean" && arguments[5] !== null)
      throw new n("`nonConfigurable`, if provided, must be a boolean or null");
    if (arguments.length > 6 && typeof arguments[6] != "boolean")
      throw new n("`loose`, if provided, must be a boolean");
    var f = arguments.length > 3 ? arguments[3] : null, c = arguments.length > 4 ? arguments[4] : null, g = arguments.length > 5 ? arguments[5] : null, p = arguments.length > 6 ? arguments[6] : !1, y = !!o && o(s, i);
    if (r)
      r(s, i, {
        configurable: g === null && y ? y.configurable : !g,
        enumerable: f === null && y ? y.enumerable : !f,
        value: a,
        writable: c === null && y ? y.writable : !c
      });
    else if (p || !f && !c && !g)
      s[i] = a;
    else
      throw new t("This environment does not support defining a property as non-configurable, non-writable, or non-enumerable.");
  }, se;
}
var le, yn;
function Wt() {
  if (yn) return le;
  yn = 1;
  var r = /* @__PURE__ */ Lr(), t = function() {
    return !!r;
  };
  return t.hasArrayLengthDefineBug = function() {
    if (!r)
      return null;
    try {
      return r([], "length", { value: 1 }).length !== 1;
    } catch {
      return !0;
    }
  }, le = t, le;
}
var ce, vn;
function Or() {
  if (vn) return ce;
  vn = 1;
  var r = Ct(), t = typeof Symbol == "function" && typeof /* @__PURE__ */ Symbol("foo") == "symbol", n = Object.prototype.toString, o = Array.prototype.concat, e = /* @__PURE__ */ Nt(), s = function(c) {
    return typeof c == "function" && n.call(c) === "[object Function]";
  }, i = /* @__PURE__ */ Wt()(), a = function(c, g, p, y) {
    if (g in c) {
      if (y === !0) {
        if (c[g] === p)
          return;
      } else if (!s(y) || !y())
        return;
    }
    i ? e(c, g, p, !0) : e(c, g, p);
  }, f = function(c, g) {
    var p = arguments.length > 2 ? arguments[2] : {}, y = r(g);
    t && (y = o.call(y, Object.getOwnPropertySymbols(g)));
    for (var d = 0; d < y.length; d += 1)
      a(c, y[d], g[y[d]], p[y[d]]);
  };
  return f.supportsDescriptors = !!i, ce = f, ce;
}
var pe = { exports: {} }, ye, gn;
function kt() {
  return gn || (gn = 1, ye = Object), ye;
}
var ve, hn;
function Ha() {
  return hn || (hn = 1, ve = Error), ve;
}
var ge, dn;
function bo() {
  return dn || (dn = 1, ge = EvalError), ge;
}
var he, mn;
function Ao() {
  return mn || (mn = 1, he = RangeError), he;
}
var de, Sn;
function Oo() {
  return Sn || (Sn = 1, de = ReferenceError), de;
}
var me, bn;
function wo() {
  return bn || (bn = 1, me = URIError), me;
}
var Se, An;
function qo() {
  return An || (An = 1, Se = Math.abs), Se;
}
var be, On;
function Po() {
  return On || (On = 1, be = Math.floor), be;
}
var Ae, wn;
function Io() {
  return wn || (wn = 1, Ae = Math.max), Ae;
}
var Oe, qn;
function $o() {
  return qn || (qn = 1, Oe = Math.min), Oe;
}
var we, Pn;
function Ro() {
  return Pn || (Pn = 1, we = Math.pow), we;
}
var qe, In;
function Eo() {
  return In || (In = 1, qe = Math.round), qe;
}
var Pe, $n;
function Bo() {
  return $n || ($n = 1, Pe = Number.isNaN || function(t) {
    return t !== t;
  }), Pe;
}
var Ie, Rn;
function Mo() {
  if (Rn) return Ie;
  Rn = 1;
  var r = /* @__PURE__ */ Bo();
  return Ie = function(n) {
    return r(n) || n === 0 ? n : n < 0 ? -1 : 1;
  }, Ie;
}
var $e, En;
function Ur() {
  return En || (En = 1, $e = function() {
    if (typeof Symbol != "function" || typeof Object.getOwnPropertySymbols != "function")
      return !1;
    if (typeof Symbol.iterator == "symbol")
      return !0;
    var t = {}, n = /* @__PURE__ */ Symbol("test"), o = Object(n);
    if (typeof n == "string" || Object.prototype.toString.call(n) !== "[object Symbol]" || Object.prototype.toString.call(o) !== "[object Symbol]")
      return !1;
    var e = 42;
    t[n] = e;
    for (var s in t)
      return !1;
    if (typeof Object.keys == "function" && Object.keys(t).length !== 0 || typeof Object.getOwnPropertyNames == "function" && Object.getOwnPropertyNames(t).length !== 0)
      return !1;
    var i = Object.getOwnPropertySymbols(t);
    if (i.length !== 1 || i[0] !== n || !Object.prototype.propertyIsEnumerable.call(t, n))
      return !1;
    if (typeof Object.getOwnPropertyDescriptor == "function") {
      var a = (
        /** @type {PropertyDescriptor} */
        Object.getOwnPropertyDescriptor(t, n)
      );
      if (a.value !== e || a.enumerable !== !0)
        return !1;
    }
    return !0;
  }), $e;
}
var Re, Bn;
function Lt() {
  if (Bn) return Re;
  Bn = 1;
  var r = typeof Symbol < "u" && Symbol, t = Ur();
  return Re = function() {
    return typeof r != "function" || typeof Symbol != "function" || typeof r("foo") != "symbol" || typeof /* @__PURE__ */ Symbol("bar") != "symbol" ? !1 : t();
  }, Re;
}
var Ee, Mn;
function za() {
  return Mn || (Mn = 1, Ee = typeof Reflect < "u" && Reflect.getPrototypeOf || null), Ee;
}
var Be, jn;
function Va() {
  if (jn) return Be;
  jn = 1;
  var r = /* @__PURE__ */ kt();
  return Be = r.getPrototypeOf || null, Be;
}
var Me, Tn;
function jo() {
  if (Tn) return Me;
  Tn = 1;
  var r = "Function.prototype.bind called on incompatible ", t = Object.prototype.toString, n = Math.max, o = "[object Function]", e = function(f, c) {
    for (var g = [], p = 0; p < f.length; p += 1)
      g[p] = f[p];
    for (var y = 0; y < c.length; y += 1)
      g[y + f.length] = c[y];
    return g;
  }, s = function(f, c) {
    for (var g = [], p = c, y = 0; p < f.length; p += 1, y += 1)
      g[y] = f[p];
    return g;
  }, i = function(a, f) {
    for (var c = "", g = 0; g < a.length; g += 1)
      c += a[g], g + 1 < a.length && (c += f);
    return c;
  };
  return Me = function(f) {
    var c = this;
    if (typeof c != "function" || t.apply(c) !== o)
      throw new TypeError(r + c);
    for (var g = s(arguments, 1), p, y = function() {
      if (this instanceof p) {
        var w = c.apply(
          this,
          e(g, arguments)
        );
        return Object(w) === w ? w : this;
      }
      return c.apply(
        f,
        e(g, arguments)
      );
    }, d = n(0, c.length - g.length), b = [], j = 0; j < d; j++)
      b[j] = "$" + j;
    if (p = Function("binder", "return function (" + i(b, ",") + "){ return binder.apply(this,arguments); }")(y), c.prototype) {
      var I = function() {
      };
      I.prototype = c.prototype, p.prototype = new I(), I.prototype = null;
    }
    return p;
  }, Me;
}
var je, xn;
function Tr() {
  if (xn) return je;
  xn = 1;
  var r = jo();
  return je = Function.prototype.bind || r, je;
}
var Te, Fn;
function Ut() {
  return Fn || (Fn = 1, Te = Function.prototype.call), Te;
}
var xe, Dn;
function Gt() {
  return Dn || (Dn = 1, xe = Function.prototype.apply), xe;
}
var Fe, Cn;
function To() {
  return Cn || (Cn = 1, Fe = typeof Reflect < "u" && Reflect && Reflect.apply), Fe;
}
var De, _n;
function Ja() {
  if (_n) return De;
  _n = 1;
  var r = Tr(), t = Gt(), n = Ut(), o = To();
  return De = o || r.call(n, t), De;
}
var Ce, Nn;
function Ht() {
  if (Nn) return Ce;
  Nn = 1;
  var r = Tr(), t = /* @__PURE__ */ tr(), n = Ut(), o = Ja();
  return Ce = function(s) {
    if (s.length < 1 || typeof s[0] != "function")
      throw new t("a function is required");
    return o(r, n, s);
  }, Ce;
}
var _e, Wn;
function xo() {
  if (Wn) return _e;
  Wn = 1;
  var r = Ht(), t = /* @__PURE__ */ Ar(), n;
  try {
    n = /** @type {{ __proto__?: typeof Array.prototype }} */
    [].__proto__ === Array.prototype;
  } catch (i) {
    if (!i || typeof i != "object" || !("code" in i) || i.code !== "ERR_PROTO_ACCESS")
      throw i;
  }
  var o = !!n && t && t(
    Object.prototype,
    /** @type {keyof typeof Object.prototype} */
    "__proto__"
  ), e = Object, s = e.getPrototypeOf;
  return _e = o && typeof o.get == "function" ? r([o.get]) : typeof s == "function" ? (
    /** @type {import('./get')} */
    function(a) {
      return s(a == null ? a : e(a));
    }
  ) : !1, _e;
}
var Ne, kn;
function zt() {
  if (kn) return Ne;
  kn = 1;
  var r = za(), t = Va(), n = /* @__PURE__ */ xo();
  return Ne = r ? function(e) {
    return r(e);
  } : t ? function(e) {
    if (!e || typeof e != "object" && typeof e != "function")
      throw new TypeError("getProto: not an object");
    return t(e);
  } : n ? function(e) {
    return n(e);
  } : null, Ne;
}
var We, Ln;
function Vt() {
  if (Ln) return We;
  Ln = 1;
  var r = Function.prototype.call, t = Object.prototype.hasOwnProperty, n = Tr();
  return We = n.call(r, t), We;
}
var ke, Un;
function cr() {
  if (Un) return ke;
  Un = 1;
  var r, t = /* @__PURE__ */ kt(), n = /* @__PURE__ */ Ha(), o = /* @__PURE__ */ bo(), e = /* @__PURE__ */ Ao(), s = /* @__PURE__ */ Oo(), i = /* @__PURE__ */ _t(), a = /* @__PURE__ */ tr(), f = /* @__PURE__ */ wo(), c = /* @__PURE__ */ qo(), g = /* @__PURE__ */ Po(), p = /* @__PURE__ */ Io(), y = /* @__PURE__ */ $o(), d = /* @__PURE__ */ Ro(), b = /* @__PURE__ */ Eo(), j = /* @__PURE__ */ Mo(), I = Function, w = function(x) {
    try {
      return I('"use strict"; return (' + x + ").constructor;")();
    } catch {
    }
  }, O = /* @__PURE__ */ Ar(), S = /* @__PURE__ */ Lr(), T = function() {
    throw new a();
  }, X = O ? (function() {
    try {
      return arguments.callee, T;
    } catch {
      try {
        return O(arguments, "callee").get;
      } catch {
        return T;
      }
    }
  })() : T, G = Lt()(), C = zt(), D = Va(), q = za(), _ = Gt(), L = Ut(), N = {}, U = typeof Uint8Array > "u" || !C ? r : C(Uint8Array), V = {
    __proto__: null,
    "%AggregateError%": typeof AggregateError > "u" ? r : AggregateError,
    "%Array%": Array,
    "%ArrayBuffer%": typeof ArrayBuffer > "u" ? r : ArrayBuffer,
    "%ArrayIteratorPrototype%": G && C ? C([][Symbol.iterator]()) : r,
    "%AsyncFromSyncIteratorPrototype%": r,
    "%AsyncFunction%": N,
    "%AsyncGenerator%": N,
    "%AsyncGeneratorFunction%": N,
    "%AsyncIteratorPrototype%": N,
    "%Atomics%": typeof Atomics > "u" ? r : Atomics,
    "%BigInt%": typeof BigInt > "u" ? r : BigInt,
    "%BigInt64Array%": typeof BigInt64Array > "u" ? r : BigInt64Array,
    "%BigUint64Array%": typeof BigUint64Array > "u" ? r : BigUint64Array,
    "%Boolean%": Boolean,
    "%DataView%": typeof DataView > "u" ? r : DataView,
    "%Date%": Date,
    "%decodeURI%": decodeURI,
    "%decodeURIComponent%": decodeURIComponent,
    "%encodeURI%": encodeURI,
    "%encodeURIComponent%": encodeURIComponent,
    "%Error%": n,
    "%eval%": eval,
    // eslint-disable-line no-eval
    "%EvalError%": o,
    "%Float16Array%": typeof Float16Array > "u" ? r : Float16Array,
    "%Float32Array%": typeof Float32Array > "u" ? r : Float32Array,
    "%Float64Array%": typeof Float64Array > "u" ? r : Float64Array,
    "%FinalizationRegistry%": typeof FinalizationRegistry > "u" ? r : FinalizationRegistry,
    "%Function%": I,
    "%GeneratorFunction%": N,
    "%Int8Array%": typeof Int8Array > "u" ? r : Int8Array,
    "%Int16Array%": typeof Int16Array > "u" ? r : Int16Array,
    "%Int32Array%": typeof Int32Array > "u" ? r : Int32Array,
    "%isFinite%": isFinite,
    "%isNaN%": isNaN,
    "%IteratorPrototype%": G && C ? C(C([][Symbol.iterator]())) : r,
    "%JSON%": typeof JSON == "object" ? JSON : r,
    "%Map%": typeof Map > "u" ? r : Map,
    "%MapIteratorPrototype%": typeof Map > "u" || !G || !C ? r : C((/* @__PURE__ */ new Map())[Symbol.iterator]()),
    "%Math%": Math,
    "%Number%": Number,
    "%Object%": t,
    "%Object.getOwnPropertyDescriptor%": O,
    "%parseFloat%": parseFloat,
    "%parseInt%": parseInt,
    "%Promise%": typeof Promise > "u" ? r : Promise,
    "%Proxy%": typeof Proxy > "u" ? r : Proxy,
    "%RangeError%": e,
    "%ReferenceError%": s,
    "%Reflect%": typeof Reflect > "u" ? r : Reflect,
    "%RegExp%": RegExp,
    "%Set%": typeof Set > "u" ? r : Set,
    "%SetIteratorPrototype%": typeof Set > "u" || !G || !C ? r : C((/* @__PURE__ */ new Set())[Symbol.iterator]()),
    "%SharedArrayBuffer%": typeof SharedArrayBuffer > "u" ? r : SharedArrayBuffer,
    "%String%": String,
    "%StringIteratorPrototype%": G && C ? C(""[Symbol.iterator]()) : r,
    "%Symbol%": G ? Symbol : r,
    "%SyntaxError%": i,
    "%ThrowTypeError%": X,
    "%TypedArray%": U,
    "%TypeError%": a,
    "%Uint8Array%": typeof Uint8Array > "u" ? r : Uint8Array,
    "%Uint8ClampedArray%": typeof Uint8ClampedArray > "u" ? r : Uint8ClampedArray,
    "%Uint16Array%": typeof Uint16Array > "u" ? r : Uint16Array,
    "%Uint32Array%": typeof Uint32Array > "u" ? r : Uint32Array,
    "%URIError%": f,
    "%WeakMap%": typeof WeakMap > "u" ? r : WeakMap,
    "%WeakRef%": typeof WeakRef > "u" ? r : WeakRef,
    "%WeakSet%": typeof WeakSet > "u" ? r : WeakSet,
    "%Function.prototype.call%": L,
    "%Function.prototype.apply%": _,
    "%Object.defineProperty%": S,
    "%Object.getPrototypeOf%": D,
    "%Math.abs%": c,
    "%Math.floor%": g,
    "%Math.max%": p,
    "%Math.min%": y,
    "%Math.pow%": d,
    "%Math.round%": b,
    "%Math.sign%": j,
    "%Reflect.getPrototypeOf%": q
  };
  if (C)
    try {
      null.error;
    } catch (x) {
      var ir = C(C(x));
      V["%Error.prototype%"] = ir;
    }
  var qr = function x(A) {
    var P;
    if (A === "%AsyncFunction%")
      P = w("async function () {}");
    else if (A === "%GeneratorFunction%")
      P = w("function* () {}");
    else if (A === "%AsyncGeneratorFunction%")
      P = w("async function* () {}");
    else if (A === "%AsyncGenerator%") {
      var m = x("%AsyncGeneratorFunction%");
      m && (P = m.prototype);
    } else if (A === "%AsyncIteratorPrototype%") {
      var E = x("%AsyncGenerator%");
      E && C && (P = C(E.prototype));
    }
    return V[A] = P, P;
  }, dr = {
    __proto__: null,
    "%ArrayBufferPrototype%": ["ArrayBuffer", "prototype"],
    "%ArrayPrototype%": ["Array", "prototype"],
    "%ArrayProto_entries%": ["Array", "prototype", "entries"],
    "%ArrayProto_forEach%": ["Array", "prototype", "forEach"],
    "%ArrayProto_keys%": ["Array", "prototype", "keys"],
    "%ArrayProto_values%": ["Array", "prototype", "values"],
    "%AsyncFunctionPrototype%": ["AsyncFunction", "prototype"],
    "%AsyncGenerator%": ["AsyncGeneratorFunction", "prototype"],
    "%AsyncGeneratorPrototype%": ["AsyncGeneratorFunction", "prototype", "prototype"],
    "%BooleanPrototype%": ["Boolean", "prototype"],
    "%DataViewPrototype%": ["DataView", "prototype"],
    "%DatePrototype%": ["Date", "prototype"],
    "%ErrorPrototype%": ["Error", "prototype"],
    "%EvalErrorPrototype%": ["EvalError", "prototype"],
    "%Float32ArrayPrototype%": ["Float32Array", "prototype"],
    "%Float64ArrayPrototype%": ["Float64Array", "prototype"],
    "%FunctionPrototype%": ["Function", "prototype"],
    "%Generator%": ["GeneratorFunction", "prototype"],
    "%GeneratorPrototype%": ["GeneratorFunction", "prototype", "prototype"],
    "%Int8ArrayPrototype%": ["Int8Array", "prototype"],
    "%Int16ArrayPrototype%": ["Int16Array", "prototype"],
    "%Int32ArrayPrototype%": ["Int32Array", "prototype"],
    "%JSONParse%": ["JSON", "parse"],
    "%JSONStringify%": ["JSON", "stringify"],
    "%MapPrototype%": ["Map", "prototype"],
    "%NumberPrototype%": ["Number", "prototype"],
    "%ObjectPrototype%": ["Object", "prototype"],
    "%ObjProto_toString%": ["Object", "prototype", "toString"],
    "%ObjProto_valueOf%": ["Object", "prototype", "valueOf"],
    "%PromisePrototype%": ["Promise", "prototype"],
    "%PromiseProto_then%": ["Promise", "prototype", "then"],
    "%Promise_all%": ["Promise", "all"],
    "%Promise_reject%": ["Promise", "reject"],
    "%Promise_resolve%": ["Promise", "resolve"],
    "%RangeErrorPrototype%": ["RangeError", "prototype"],
    "%ReferenceErrorPrototype%": ["ReferenceError", "prototype"],
    "%RegExpPrototype%": ["RegExp", "prototype"],
    "%SetPrototype%": ["Set", "prototype"],
    "%SharedArrayBufferPrototype%": ["SharedArrayBuffer", "prototype"],
    "%StringPrototype%": ["String", "prototype"],
    "%SymbolPrototype%": ["Symbol", "prototype"],
    "%SyntaxErrorPrototype%": ["SyntaxError", "prototype"],
    "%TypedArrayPrototype%": ["TypedArray", "prototype"],
    "%TypeErrorPrototype%": ["TypeError", "prototype"],
    "%Uint8ArrayPrototype%": ["Uint8Array", "prototype"],
    "%Uint8ClampedArrayPrototype%": ["Uint8ClampedArray", "prototype"],
    "%Uint16ArrayPrototype%": ["Uint16Array", "prototype"],
    "%Uint32ArrayPrototype%": ["Uint32Array", "prototype"],
    "%URIErrorPrototype%": ["URIError", "prototype"],
    "%WeakMapPrototype%": ["WeakMap", "prototype"],
    "%WeakSetPrototype%": ["WeakSet", "prototype"]
  }, nr = Tr(), H = /* @__PURE__ */ Vt(), mr = nr.call(L, Array.prototype.concat), Pr = nr.call(_, Array.prototype.splice), Sr = nr.call(L, String.prototype.replace), pr = nr.call(L, String.prototype.slice), v = nr.call(L, RegExp.prototype.exec), h = /[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g, R = /\\(\\)?/g, $ = function(A) {
    var P = pr(A, 0, 1), m = pr(A, -1);
    if (P === "%" && m !== "%")
      throw new i("invalid intrinsic syntax, expected closing `%`");
    if (m === "%" && P !== "%")
      throw new i("invalid intrinsic syntax, expected opening `%`");
    var E = [];
    return Sr(A, h, function(z, J, K, Y) {
      E[E.length] = K ? Sr(Y, R, "$1") : J || z;
    }), E;
  }, M = function(A, P) {
    var m = A, E;
    if (H(dr, m) && (E = dr[m], m = "%" + E[0] + "%"), H(V, m)) {
      var z = V[m];
      if (z === N && (z = qr(m)), typeof z > "u" && !P)
        throw new a("intrinsic " + A + " exists, but is not available. Please file an issue!");
      return {
        alias: E,
        name: m,
        value: z
      };
    }
    throw new i("intrinsic " + A + " does not exist!");
  };
  return ke = function(A, P) {
    if (typeof A != "string" || A.length === 0)
      throw new a("intrinsic name must be a non-empty string");
    if (arguments.length > 1 && typeof P != "boolean")
      throw new a('"allowMissing" argument must be a boolean');
    if (v(/^%?[^%]*%?$/, A) === null)
      throw new i("`%` may not be present anywhere but at the beginning and end of the intrinsic name");
    var m = $(A), E = m.length > 0 ? m[0] : "", z = M("%" + E + "%", P), J = z.name, K = z.value, Y = !1, Z = z.alias;
    Z && (E = Z[0], Pr(m, mr([0, 1], Z)));
    for (var ur = 1, ar = !0; ur < m.length; ur += 1) {
      var rr = m[ur], fr = pr(rr, 0, 1), sr = pr(rr, -1);
      if ((fr === '"' || fr === "'" || fr === "`" || sr === '"' || sr === "'" || sr === "`") && fr !== sr)
        throw new i("property names with quotes must have matching quotes");
      if ((rr === "constructor" || !ar) && (Y = !0), E += "." + rr, J = "%" + E + "%", H(V, J))
        K = V[J];
      else if (K != null) {
        if (!(rr in K)) {
          if (!P)
            throw new a("base intrinsic for " + A + " exists, but the property is not available.");
          return;
        }
        if (O && ur + 1 >= m.length) {
          var lr = O(K, rr);
          ar = !!lr, ar && "get" in lr && !("originalValue" in lr.get) ? K = lr.get : K = K[rr];
        } else
          ar = H(K, rr), K = K[rr];
        ar && !Y && (V[J] = K);
      }
    }
    return K;
  }, ke;
}
var Le, Gn;
function Fo() {
  if (Gn) return Le;
  Gn = 1;
  var r = /* @__PURE__ */ cr(), t = /* @__PURE__ */ Nt(), n = /* @__PURE__ */ Wt()(), o = /* @__PURE__ */ Ar(), e = /* @__PURE__ */ tr(), s = r("%Math.floor%");
  return Le = function(a, f) {
    if (typeof a != "function")
      throw new e("`fn` is not a function");
    if (typeof f != "number" || f < 0 || f > 4294967295 || s(f) !== f)
      throw new e("`length` must be a positive 32-bit integer");
    var c = arguments.length > 2 && !!arguments[2], g = !0, p = !0;
    if ("length" in a && o) {
      var y = o(a, "length");
      y && !y.configurable && (g = !1), y && !y.writable && (p = !1);
    }
    return (g || p || !c) && (n ? t(
      /** @type {Parameters<define>[0]} */
      a,
      "length",
      f,
      !0,
      !0
    ) : t(
      /** @type {Parameters<define>[0]} */
      a,
      "length",
      f
    )), a;
  }, Le;
}
var Ue, Hn;
function Do() {
  if (Hn) return Ue;
  Hn = 1;
  var r = Tr(), t = Gt(), n = Ja();
  return Ue = function() {
    return n(r, t, arguments);
  }, Ue;
}
var zn;
function Er() {
  return zn || (zn = 1, (function(r) {
    var t = /* @__PURE__ */ Fo(), n = /* @__PURE__ */ Lr(), o = Ht(), e = Do();
    r.exports = function(i) {
      var a = o(arguments), f = i.length - (arguments.length - 1);
      return t(
        a,
        1 + (f > 0 ? f : 0),
        !0
      );
    }, n ? n(r.exports, "apply", { value: e }) : r.exports.apply = e;
  })(pe)), pe.exports;
}
var Ge, Vn;
function Q() {
  if (Vn) return Ge;
  Vn = 1;
  var r = /* @__PURE__ */ cr(), t = Ht(), n = t([r("%String.prototype.indexOf%")]);
  return Ge = function(e, s) {
    var i = (
      /** @type {(this: unknown, ...args: unknown[]) => unknown} */
      r(e, !!s)
    );
    return typeof i == "function" && n(e, ".prototype.") > -1 ? t(
      /** @type {const} */
      [i]
    ) : i;
  }, Ge;
}
var He, Jn;
function Ka() {
  if (Jn) return He;
  Jn = 1;
  var r = Ct(), t = Ur()(), n = /* @__PURE__ */ Q(), o = /* @__PURE__ */ kt(), e = n("Array.prototype.push"), s = n("Object.prototype.propertyIsEnumerable"), i = t ? o.getOwnPropertySymbols : null;
  return He = function(f, c) {
    if (f == null)
      throw new TypeError("target must be an object");
    var g = o(f);
    if (arguments.length === 1)
      return g;
    for (var p = 1; p < arguments.length; ++p) {
      var y = o(arguments[p]), d = r(y), b = t && (o.getOwnPropertySymbols || i);
      if (b)
        for (var j = b(y), I = 0; I < j.length; ++I) {
          var w = j[I];
          s(y, w) && e(d, w);
        }
      for (var O = 0; O < d.length; ++O) {
        var S = d[O];
        if (s(y, S)) {
          var T = y[S];
          g[S] = T;
        }
      }
    }
    return g;
  }, He;
}
var ze, Kn;
function Ya() {
  if (Kn) return ze;
  Kn = 1;
  var r = Ka(), t = function() {
    if (!Object.assign)
      return !1;
    for (var o = "abcdefghijklmnopqrst", e = o.split(""), s = {}, i = 0; i < e.length; ++i)
      s[e[i]] = e[i];
    var a = Object.assign({}, s), f = "";
    for (var c in a)
      f += c;
    return o !== f;
  }, n = function() {
    if (!Object.assign || !Object.preventExtensions)
      return !1;
    var o = Object.preventExtensions({ 1: 2 });
    try {
      Object.assign(o, "xy");
    } catch {
      return o[1] === "y";
    }
    return !1;
  };
  return ze = function() {
    return !Object.assign || t() || n() ? r : Object.assign;
  }, ze;
}
var Ve, Yn;
function Co() {
  if (Yn) return Ve;
  Yn = 1;
  var r = Or(), t = Ya();
  return Ve = function() {
    var o = t();
    return r(
      Object,
      { assign: o },
      { assign: function() {
        return Object.assign !== o;
      } }
    ), o;
  }, Ve;
}
var Je, Xn;
function _o() {
  if (Xn) return Je;
  Xn = 1;
  var r = Or(), t = Er(), n = Ka(), o = Ya(), e = Co(), s = t.apply(o()), i = function(f, c) {
    return s(Object, arguments);
  };
  return r(i, {
    getPolyfill: o,
    implementation: n,
    shim: e
  }), Je = i, Je;
}
var Ke, Qn;
function Xa() {
  if (Qn) return Ke;
  Qn = 1;
  var r = /* @__PURE__ */ cr(), t = Er(), n = t(r("String.prototype.indexOf"));
  return Ke = function(e, s) {
    var i = r(e, !!s);
    return typeof i == "function" && n(e, ".prototype.") > -1 ? t(i) : i;
  }, Ke;
}
var Ye, Zn;
function No() {
  if (Zn) return Ye;
  Zn = 1;
  var r = function() {
    return typeof (function() {
    }).name == "string";
  }, t = Object.getOwnPropertyDescriptor;
  if (t)
    try {
      t([], "length");
    } catch {
      t = null;
    }
  r.functionsHaveConfigurableNames = function() {
    if (!r() || !t)
      return !1;
    var e = t(function() {
    }, "name");
    return !!e && !!e.configurable;
  };
  var n = Function.prototype.bind;
  return r.boundFunctionsHaveNames = function() {
    return r() && typeof n == "function" && (function() {
    }).bind().name !== "";
  }, Ye = r, Ye;
}
var Xe, ra;
function Wo() {
  if (ra) return Xe;
  ra = 1;
  var r = /* @__PURE__ */ Nt(), t = /* @__PURE__ */ Wt()(), n = No().functionsHaveConfigurableNames(), o = /* @__PURE__ */ tr();
  return Xe = function(s, i) {
    if (typeof s != "function")
      throw new o("`fn` is not a function");
    var a = arguments.length > 2 && !!arguments[2];
    return (!a || n) && (t ? r(
      /** @type {Parameters<define>[0]} */
      s,
      "name",
      i,
      !0,
      !0
    ) : r(
      /** @type {Parameters<define>[0]} */
      s,
      "name",
      i
    )), s;
  }, Xe;
}
var Qe, ea;
function Qa() {
  if (ea) return Qe;
  ea = 1;
  var r = Wo(), t = /* @__PURE__ */ tr(), n = Object;
  return Qe = r(function() {
    if (this == null || this !== n(this))
      throw new t("RegExp.prototype.flags getter called on non-object");
    var e = "";
    return this.hasIndices && (e += "d"), this.global && (e += "g"), this.ignoreCase && (e += "i"), this.multiline && (e += "m"), this.dotAll && (e += "s"), this.unicode && (e += "u"), this.unicodeSets && (e += "v"), this.sticky && (e += "y"), e;
  }, "get flags", !0), Qe;
}
var Ze, ta;
function Za() {
  if (ta) return Ze;
  ta = 1;
  var r = Qa(), t = Or().supportsDescriptors, n = Object.getOwnPropertyDescriptor;
  return Ze = function() {
    if (t && /a/mig.flags === "gim") {
      var e = n(RegExp.prototype, "flags");
      if (e && typeof e.get == "function" && "dotAll" in RegExp.prototype && "hasIndices" in RegExp.prototype) {
        var s = "", i = {};
        if (Object.defineProperty(i, "hasIndices", {
          get: function() {
            s += "d";
          }
        }), Object.defineProperty(i, "sticky", {
          get: function() {
            s += "y";
          }
        }), e.get.call(i), s === "dy")
          return e.get;
      }
    }
    return r;
  }, Ze;
}
var rt, na;
function ko() {
  if (na) return rt;
  na = 1;
  var r = Or().supportsDescriptors, t = Za(), n = /* @__PURE__ */ Ar(), o = Object.defineProperty, e = /* @__PURE__ */ Ha(), s = zt(), i = /a/;
  return rt = function() {
    if (!r || !s)
      throw new e("RegExp.prototype.flags requires a true ES5 environment that supports property descriptors");
    var f = t(), c = s(i), g = n(c, "flags");
    return (!g || g.get !== f) && o(c, "flags", {
      configurable: !0,
      enumerable: !1,
      get: f
    }), f;
  }, rt;
}
var et, aa;
function Lo() {
  if (aa) return et;
  aa = 1;
  var r = Or(), t = Er(), n = Qa(), o = Za(), e = ko(), s = t(o());
  return r(s, {
    getPolyfill: o,
    implementation: n,
    shim: e
  }), et = s, et;
}
var jr = { exports: {} }, tt, oa;
function wr() {
  if (oa) return tt;
  oa = 1;
  var r = Ur();
  return tt = function() {
    return r() && !!Symbol.toStringTag;
  }, tt;
}
var nt, ia;
function ro() {
  if (ia) return nt;
  ia = 1;
  var r = wr()(), t = /* @__PURE__ */ Q(), n = t("Object.prototype.toString"), o = function(a) {
    return r && a && typeof a == "object" && Symbol.toStringTag in a ? !1 : n(a) === "[object Arguments]";
  }, e = function(a) {
    return o(a) ? !0 : a !== null && typeof a == "object" && "length" in a && typeof a.length == "number" && a.length >= 0 && n(a) !== "[object Array]" && "callee" in a && n(a.callee) === "[object Function]";
  }, s = (function() {
    return o(arguments);
  })();
  return o.isLegacyArguments = e, nt = s ? o : e, nt;
}
const Uo = {}, Go = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: Uo
}, Symbol.toStringTag, { value: "Module" })), Ho = /* @__PURE__ */ go(Go);
var at, ua;
function Gr() {
  if (ua) return at;
  ua = 1;
  var r = typeof Map == "function" && Map.prototype, t = Object.getOwnPropertyDescriptor && r ? Object.getOwnPropertyDescriptor(Map.prototype, "size") : null, n = r && t && typeof t.get == "function" ? t.get : null, o = r && Map.prototype.forEach, e = typeof Set == "function" && Set.prototype, s = Object.getOwnPropertyDescriptor && e ? Object.getOwnPropertyDescriptor(Set.prototype, "size") : null, i = e && s && typeof s.get == "function" ? s.get : null, a = e && Set.prototype.forEach, f = typeof WeakMap == "function" && WeakMap.prototype, c = f ? WeakMap.prototype.has : null, g = typeof WeakSet == "function" && WeakSet.prototype, p = g ? WeakSet.prototype.has : null, y = typeof WeakRef == "function" && WeakRef.prototype, d = y ? WeakRef.prototype.deref : null, b = Boolean.prototype.valueOf, j = Object.prototype.toString, I = Function.prototype.toString, w = String.prototype.match, O = String.prototype.slice, S = String.prototype.replace, T = String.prototype.toUpperCase, X = String.prototype.toLowerCase, G = RegExp.prototype.test, C = Array.prototype.concat, D = Array.prototype.join, q = Array.prototype.slice, _ = Math.floor, L = typeof BigInt == "function" ? BigInt.prototype.valueOf : null, N = Object.getOwnPropertySymbols, U = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? Symbol.prototype.toString : null, V = typeof Symbol == "function" && typeof Symbol.iterator == "object", ir = typeof Symbol == "function" && Symbol.toStringTag && (typeof Symbol.toStringTag === V || !0) ? Symbol.toStringTag : null, qr = Object.prototype.propertyIsEnumerable, dr = (typeof Reflect == "function" ? Reflect.getPrototypeOf : Object.getPrototypeOf) || ([].__proto__ === Array.prototype ? function(u) {
    return u.__proto__;
  } : null);
  function nr(u, l) {
    if (u === 1 / 0 || u === -1 / 0 || u !== u || u && u > -1e3 && u < 1e3 || G.call(/e/, l))
      return l;
    var F = /[0-9](?=(?:[0-9]{3})+(?![0-9]))/g;
    if (typeof u == "number") {
      var W = u < 0 ? -_(-u) : _(u);
      if (W !== u) {
        var k = String(W), B = O.call(l, k.length + 1);
        return S.call(k, F, "$&_") + "." + S.call(S.call(B, /([0-9]{3})/g, "$&_"), /_$/, "");
      }
    }
    return S.call(l, F, "$&_");
  }
  var H = Ho, mr = H.custom, Pr = z(mr) ? mr : null, Sr = {
    __proto__: null,
    double: '"',
    single: "'"
  }, pr = {
    __proto__: null,
    double: /(["\\])/g,
    single: /(['\\])/g
  };
  at = function u(l, F, W, k) {
    var B = F || {};
    if (Y(B, "quoteStyle") && !Y(Sr, B.quoteStyle))
      throw new TypeError('option "quoteStyle" must be "single" or "double"');
    if (Y(B, "maxStringLength") && (typeof B.maxStringLength == "number" ? B.maxStringLength < 0 && B.maxStringLength !== 1 / 0 : B.maxStringLength !== null))
      throw new TypeError('option "maxStringLength", if provided, must be a positive integer, Infinity, or `null`');
    var gr = Y(B, "customInspect") ? B.customInspect : !0;
    if (typeof gr != "boolean" && gr !== "symbol")
      throw new TypeError("option \"customInspect\", if provided, must be `true`, `false`, or `'symbol'`");
    if (Y(B, "indent") && B.indent !== null && B.indent !== "	" && !(parseInt(B.indent, 10) === B.indent && B.indent > 0))
      throw new TypeError('option "indent" must be "\\t", an integer > 0, or `null`');
    if (Y(B, "numericSeparator") && typeof B.numericSeparator != "boolean")
      throw new TypeError('option "numericSeparator", if provided, must be `true` or `false`');
    var br = B.numericSeparator;
    if (typeof l > "u")
      return "undefined";
    if (l === null)
      return "null";
    if (typeof l == "boolean")
      return l ? "true" : "false";
    if (typeof l == "string")
      return Ir(l, B);
    if (typeof l == "number") {
      if (l === 0)
        return 1 / 0 / l > 0 ? "0" : "-0";
      var er = String(l);
      return br ? nr(l, er) : er;
    }
    if (typeof l == "bigint") {
      var hr = String(l) + "n";
      return br ? nr(l, hr) : hr;
    }
    var Vr = typeof B.depth > "u" ? 5 : B.depth;
    if (typeof W > "u" && (W = 0), W >= Vr && Vr > 0 && typeof l == "object")
      return $(l) ? "[Array]" : "[Object]";
    var $r = po(B, W);
    if (typeof k > "u")
      k = [];
    else if (ar(k, l) >= 0)
      return "[Circular]";
    function or(Rr, Cr, vo) {
      if (Cr && (k = q.call(k), k.push(Cr)), vo) {
        var tn = {
          depth: B.depth
        };
        return Y(B, "quoteStyle") && (tn.quoteStyle = B.quoteStyle), u(Rr, tn, W + 1, k);
      }
      return u(Rr, B, W + 1, k);
    }
    if (typeof l == "function" && !x(l)) {
      var Kt = ur(l), Yt = Fr(l, or);
      return "[Function" + (Kt ? ": " + Kt : " (anonymous)") + "]" + (Yt.length > 0 ? " { " + D.call(Yt, ", ") + " }" : "");
    }
    if (z(l)) {
      var Xt = V ? S.call(String(l), /^(Symbol\(.*\))_[^)]*$/, "$1") : U.call(l);
      return typeof l == "object" && !V ? vr(Xt) : Xt;
    }
    if (yr(l)) {
      for (var Mr = "<" + X.call(String(l.nodeName)), Jr = l.attributes || [], Dr = 0; Dr < Jr.length; Dr++)
        Mr += " " + Jr[Dr].name + "=" + v(h(Jr[Dr].value), "double", B);
      return Mr += ">", l.childNodes && l.childNodes.length && (Mr += "..."), Mr += "</" + X.call(String(l.nodeName)) + ">", Mr;
    }
    if ($(l)) {
      if (l.length === 0)
        return "[]";
      var Kr = Fr(l, or);
      return $r && !co(Kr) ? "[" + zr(Kr, $r) + "]" : "[ " + D.call(Kr, ", ") + " ]";
    }
    if (A(l)) {
      var Yr = Fr(l, or);
      return !("cause" in Error.prototype) && "cause" in l && !qr.call(l, "cause") ? "{ [" + String(l) + "] " + D.call(C.call("[cause]: " + or(l.cause), Yr), ", ") + " }" : Yr.length === 0 ? "[" + String(l) + "]" : "{ [" + String(l) + "] " + D.call(Yr, ", ") + " }";
    }
    if (typeof l == "object" && gr) {
      if (Pr && typeof l[Pr] == "function" && H)
        return H(l, { depth: Vr - W });
      if (gr !== "symbol" && typeof l.inspect == "function")
        return l.inspect();
    }
    if (rr(l)) {
      var Qt = [];
      return o && o.call(l, function(Rr, Cr) {
        Qt.push(or(Cr, l, !0) + " => " + or(Rr, l));
      }), Jt("Map", n.call(l), Qt, $r);
    }
    if (lr(l)) {
      var Zt = [];
      return a && a.call(l, function(Rr) {
        Zt.push(or(Rr, l));
      }), Jt("Set", i.call(l), Zt, $r);
    }
    if (fr(l))
      return Hr("WeakMap");
    if (xr(l))
      return Hr("WeakSet");
    if (sr(l))
      return Hr("WeakRef");
    if (m(l))
      return vr(or(Number(l)));
    if (J(l))
      return vr(or(L.call(l)));
    if (E(l))
      return vr(b.call(l));
    if (P(l))
      return vr(or(String(l)));
    if (typeof window < "u" && l === window)
      return "{ [object Window] }";
    if (typeof globalThis < "u" && l === globalThis || typeof kr < "u" && l === kr)
      return "{ [object globalThis] }";
    if (!M(l) && !x(l)) {
      var Xr = Fr(l, or), rn = dr ? dr(l) === Object.prototype : l instanceof Object || l.constructor === Object, Qr = l instanceof Object ? "" : "null prototype", en = !rn && ir && Object(l) === l && ir in l ? O.call(Z(l), 8, -1) : Qr ? "Object" : "", yo = rn || typeof l.constructor != "function" ? "" : l.constructor.name ? l.constructor.name + " " : "", Zr = yo + (en || Qr ? "[" + D.call(C.call([], en || [], Qr || []), ": ") + "] " : "");
      return Xr.length === 0 ? Zr + "{}" : $r ? Zr + "{" + zr(Xr, $r) + "}" : Zr + "{ " + D.call(Xr, ", ") + " }";
    }
    return String(l);
  };
  function v(u, l, F) {
    var W = F.quoteStyle || l, k = Sr[W];
    return k + u + k;
  }
  function h(u) {
    return S.call(String(u), /"/g, "&quot;");
  }
  function R(u) {
    return !ir || !(typeof u == "object" && (ir in u || typeof u[ir] < "u"));
  }
  function $(u) {
    return Z(u) === "[object Array]" && R(u);
  }
  function M(u) {
    return Z(u) === "[object Date]" && R(u);
  }
  function x(u) {
    return Z(u) === "[object RegExp]" && R(u);
  }
  function A(u) {
    return Z(u) === "[object Error]" && R(u);
  }
  function P(u) {
    return Z(u) === "[object String]" && R(u);
  }
  function m(u) {
    return Z(u) === "[object Number]" && R(u);
  }
  function E(u) {
    return Z(u) === "[object Boolean]" && R(u);
  }
  function z(u) {
    if (V)
      return u && typeof u == "object" && u instanceof Symbol;
    if (typeof u == "symbol")
      return !0;
    if (!u || typeof u != "object" || !U)
      return !1;
    try {
      return U.call(u), !0;
    } catch {
    }
    return !1;
  }
  function J(u) {
    if (!u || typeof u != "object" || !L)
      return !1;
    try {
      return L.call(u), !0;
    } catch {
    }
    return !1;
  }
  var K = Object.prototype.hasOwnProperty || function(u) {
    return u in this;
  };
  function Y(u, l) {
    return K.call(u, l);
  }
  function Z(u) {
    return j.call(u);
  }
  function ur(u) {
    if (u.name)
      return u.name;
    var l = w.call(I.call(u), /^function\s*([\w$]+)/);
    return l ? l[1] : null;
  }
  function ar(u, l) {
    if (u.indexOf)
      return u.indexOf(l);
    for (var F = 0, W = u.length; F < W; F++)
      if (u[F] === l)
        return F;
    return -1;
  }
  function rr(u) {
    if (!n || !u || typeof u != "object")
      return !1;
    try {
      n.call(u);
      try {
        i.call(u);
      } catch {
        return !0;
      }
      return u instanceof Map;
    } catch {
    }
    return !1;
  }
  function fr(u) {
    if (!c || !u || typeof u != "object")
      return !1;
    try {
      c.call(u, c);
      try {
        p.call(u, p);
      } catch {
        return !0;
      }
      return u instanceof WeakMap;
    } catch {
    }
    return !1;
  }
  function sr(u) {
    if (!d || !u || typeof u != "object")
      return !1;
    try {
      return d.call(u), !0;
    } catch {
    }
    return !1;
  }
  function lr(u) {
    if (!i || !u || typeof u != "object")
      return !1;
    try {
      i.call(u);
      try {
        n.call(u);
      } catch {
        return !0;
      }
      return u instanceof Set;
    } catch {
    }
    return !1;
  }
  function xr(u) {
    if (!p || !u || typeof u != "object")
      return !1;
    try {
      p.call(u, p);
      try {
        c.call(u, c);
      } catch {
        return !0;
      }
      return u instanceof WeakSet;
    } catch {
    }
    return !1;
  }
  function yr(u) {
    return !u || typeof u != "object" ? !1 : typeof HTMLElement < "u" && u instanceof HTMLElement ? !0 : typeof u.nodeName == "string" && typeof u.getAttribute == "function";
  }
  function Ir(u, l) {
    if (u.length > l.maxStringLength) {
      var F = u.length - l.maxStringLength, W = "... " + F + " more character" + (F > 1 ? "s" : "");
      return Ir(O.call(u, 0, l.maxStringLength), l) + W;
    }
    var k = pr[l.quoteStyle || "single"];
    k.lastIndex = 0;
    var B = S.call(S.call(u, k, "\\$1"), /[\x00-\x1f]/g, Br);
    return v(B, "single", l);
  }
  function Br(u) {
    var l = u.charCodeAt(0), F = {
      8: "b",
      9: "t",
      10: "n",
      12: "f",
      13: "r"
    }[l];
    return F ? "\\" + F : "\\x" + (l < 16 ? "0" : "") + T.call(l.toString(16));
  }
  function vr(u) {
    return "Object(" + u + ")";
  }
  function Hr(u) {
    return u + " { ? }";
  }
  function Jt(u, l, F, W) {
    var k = W ? zr(F, W) : D.call(F, ", ");
    return u + " (" + l + ") {" + k + "}";
  }
  function co(u) {
    for (var l = 0; l < u.length; l++)
      if (ar(u[l], `
`) >= 0)
        return !1;
    return !0;
  }
  function po(u, l) {
    var F;
    if (u.indent === "	")
      F = "	";
    else if (typeof u.indent == "number" && u.indent > 0)
      F = D.call(Array(u.indent + 1), " ");
    else
      return null;
    return {
      base: F,
      prev: D.call(Array(l + 1), F)
    };
  }
  function zr(u, l) {
    if (u.length === 0)
      return "";
    var F = `
` + l.prev + l.base;
    return F + D.call(u, "," + F) + `
` + l.prev;
  }
  function Fr(u, l) {
    var F = $(u), W = [];
    if (F) {
      W.length = u.length;
      for (var k = 0; k < u.length; k++)
        W[k] = Y(u, k) ? l(u[k], u) : "";
    }
    var B = typeof N == "function" ? N(u) : [], gr;
    if (V) {
      gr = {};
      for (var br = 0; br < B.length; br++)
        gr["$" + B[br]] = B[br];
    }
    for (var er in u)
      Y(u, er) && (F && String(Number(er)) === er && er < u.length || V && gr["$" + er] instanceof Symbol || (G.call(/[^\w$]/, er) ? W.push(l(er, u) + ": " + l(u[er], u)) : W.push(er + ": " + l(u[er], u))));
    if (typeof N == "function")
      for (var hr = 0; hr < B.length; hr++)
        qr.call(u, B[hr]) && W.push("[" + l(B[hr]) + "]: " + l(u[B[hr]], u));
    return W;
  }
  return at;
}
var ot, fa;
function zo() {
  if (fa) return ot;
  fa = 1;
  var r = /* @__PURE__ */ Gr(), t = /* @__PURE__ */ tr(), n = function(a, f, c) {
    for (var g = a, p; (p = g.next) != null; g = p)
      if (p.key === f)
        return g.next = p.next, c || (p.next = /** @type {NonNullable<typeof list.next>} */
        a.next, a.next = p), p;
  }, o = function(a, f) {
    if (a) {
      var c = n(a, f);
      return c && c.value;
    }
  }, e = function(a, f, c) {
    var g = n(a, f);
    g ? g.value = c : a.next = /** @type {import('./list.d.ts').ListNode<typeof value, typeof key>} */
    {
      // eslint-disable-line no-param-reassign, no-extra-parens
      key: f,
      next: a.next,
      value: c
    };
  }, s = function(a, f) {
    return a ? !!n(a, f) : !1;
  }, i = function(a, f) {
    if (a)
      return n(a, f, !0);
  };
  return ot = function() {
    var f, c = {
      assert: function(g) {
        if (!c.has(g))
          throw new t("Side channel does not contain " + r(g));
      },
      delete: function(g) {
        var p = f && f.next, y = i(f, g);
        return y && p && p === y && (f = void 0), !!y;
      },
      get: function(g) {
        return o(f, g);
      },
      has: function(g) {
        return s(f, g);
      },
      set: function(g, p) {
        f || (f = {
          next: void 0
        }), e(
          /** @type {NonNullable<typeof $o>} */
          f,
          g,
          p
        );
      }
    };
    return c;
  }, ot;
}
var it, sa;
function eo() {
  if (sa) return it;
  sa = 1;
  var r = /* @__PURE__ */ cr(), t = /* @__PURE__ */ Q(), n = /* @__PURE__ */ Gr(), o = /* @__PURE__ */ tr(), e = r("%Map%", !0), s = t("Map.prototype.get", !0), i = t("Map.prototype.set", !0), a = t("Map.prototype.has", !0), f = t("Map.prototype.delete", !0), c = t("Map.prototype.size", !0);
  return it = !!e && /** @type {Exclude<import('.'), false>} */
  function() {
    var p, y = {
      assert: function(d) {
        if (!y.has(d))
          throw new o("Side channel does not contain " + n(d));
      },
      delete: function(d) {
        if (p) {
          var b = f(p, d);
          return c(p) === 0 && (p = void 0), b;
        }
        return !1;
      },
      get: function(d) {
        if (p)
          return s(p, d);
      },
      has: function(d) {
        return p ? a(p, d) : !1;
      },
      set: function(d, b) {
        p || (p = new e()), i(p, d, b);
      }
    };
    return y;
  }, it;
}
var ut, la;
function Vo() {
  if (la) return ut;
  la = 1;
  var r = /* @__PURE__ */ cr(), t = /* @__PURE__ */ Q(), n = /* @__PURE__ */ Gr(), o = eo(), e = /* @__PURE__ */ tr(), s = r("%WeakMap%", !0), i = t("WeakMap.prototype.get", !0), a = t("WeakMap.prototype.set", !0), f = t("WeakMap.prototype.has", !0), c = t("WeakMap.prototype.delete", !0);
  return ut = s ? (
    /** @type {Exclude<import('.'), false>} */
    function() {
      var p, y, d = {
        assert: function(b) {
          if (!d.has(b))
            throw new e("Side channel does not contain " + n(b));
        },
        delete: function(b) {
          if (s && b && (typeof b == "object" || typeof b == "function")) {
            if (p)
              return c(p, b);
          } else if (o && y)
            return y.delete(b);
          return !1;
        },
        get: function(b) {
          return s && b && (typeof b == "object" || typeof b == "function") && p ? i(p, b) : y && y.get(b);
        },
        has: function(b) {
          return s && b && (typeof b == "object" || typeof b == "function") && p ? f(p, b) : !!y && y.has(b);
        },
        set: function(b, j) {
          s && b && (typeof b == "object" || typeof b == "function") ? (p || (p = new s()), a(p, b, j)) : o && (y || (y = o()), y.set(b, j));
        }
      };
      return d;
    }
  ) : o, ut;
}
var ft, ca;
function to() {
  if (ca) return ft;
  ca = 1;
  var r = /* @__PURE__ */ tr(), t = /* @__PURE__ */ Gr(), n = zo(), o = eo(), e = Vo(), s = e || o || n;
  return ft = function() {
    var a, f = {
      assert: function(c) {
        if (!f.has(c))
          throw new r("Side channel does not contain " + t(c));
      },
      delete: function(c) {
        return !!a && a.delete(c);
      },
      get: function(c) {
        return a && a.get(c);
      },
      has: function(c) {
        return !!a && a.has(c);
      },
      set: function(c, g) {
        a || (a = s()), a.set(c, g);
      }
    };
    return f;
  }, ft;
}
var st, pa;
function Jo() {
  if (pa) return st;
  pa = 1;
  var r = /* @__PURE__ */ Vt(), t = to()(), n = /* @__PURE__ */ tr(), o = {
    assert: function(e, s) {
      if (!e || typeof e != "object" && typeof e != "function")
        throw new n("`O` is not an object");
      if (typeof s != "string")
        throw new n("`slot` must be a string");
      if (t.assert(e), !o.has(e, s))
        throw new n("`" + s + "` is not present on `O`");
    },
    get: function(e, s) {
      if (!e || typeof e != "object" && typeof e != "function")
        throw new n("`O` is not an object");
      if (typeof s != "string")
        throw new n("`slot` must be a string");
      var i = t.get(e);
      return i && i[
        /** @type {SaltedInternalSlot} */
        "$" + s
      ];
    },
    has: function(e, s) {
      if (!e || typeof e != "object" && typeof e != "function")
        throw new n("`O` is not an object");
      if (typeof s != "string")
        throw new n("`slot` must be a string");
      var i = t.get(e);
      return !!i && r(
        i,
        /** @type {SaltedInternalSlot} */
        "$" + s
      );
    },
    set: function(e, s, i) {
      if (!e || typeof e != "object" && typeof e != "function")
        throw new n("`O` is not an object");
      if (typeof s != "string")
        throw new n("`slot` must be a string");
      var a = t.get(e);
      a || (a = {}, t.set(e, a)), a[
        /** @type {SaltedInternalSlot} */
        "$" + s
      ] = i;
    }
  };
  return Object.freeze && Object.freeze(o), st = o, st;
}
var lt, ya;
function Ko() {
  if (ya) return lt;
  ya = 1;
  var r = Jo(), t = /* @__PURE__ */ _t(), n = typeof StopIteration == "object" ? StopIteration : null;
  return lt = function(e) {
    if (!n)
      throw new t("this environment lacks StopIteration");
    r.set(e, "[[Done]]", !1);
    var s = {
      next: (
        /** @type {() => IteratorResult<T>} */
        function() {
          var a = (
            /** @type {typeof origIterator} */
            r.get(this, "[[Iterator]]")
          ), f = !!r.get(a, "[[Done]]");
          try {
            return {
              done: f,
              // eslint-disable-next-line no-extra-parens
              value: f ? void 0 : (
                /** @type {T} */
                a.next()
              )
            };
          } catch (c) {
            if (r.set(a, "[[Done]]", !0), c !== n)
              throw c;
            return {
              done: !0,
              value: void 0
            };
          }
        }
      )
    };
    return r.set(s, "[[Iterator]]", e), s;
  }, lt;
}
var ct, va;
function no() {
  if (va) return ct;
  va = 1;
  var r = {}.toString;
  return ct = Array.isArray || function(t) {
    return r.call(t) == "[object Array]";
  }, ct;
}
var pt, ga;
function ao() {
  if (ga) return pt;
  ga = 1;
  var r = /* @__PURE__ */ Q(), t = r("String.prototype.valueOf"), n = function(a) {
    try {
      return t(a), !0;
    } catch {
      return !1;
    }
  }, o = r("Object.prototype.toString"), e = "[object String]", s = wr()();
  return pt = function(a) {
    return typeof a == "string" ? !0 : !a || typeof a != "object" ? !1 : s ? n(a) : o(a) === e;
  }, pt;
}
var yt, ha;
function oo() {
  if (ha) return yt;
  ha = 1;
  var r = typeof Map == "function" && Map.prototype ? Map : null, t = typeof Set == "function" && Set.prototype ? Set : null, n;
  r || (n = function(i) {
    return !1;
  });
  var o = r ? Map.prototype.has : null, e = t ? Set.prototype.has : null;
  return !n && !o && (n = function(i) {
    return !1;
  }), yt = n || function(i) {
    if (!i || typeof i != "object")
      return !1;
    try {
      if (o.call(i), e)
        try {
          e.call(i);
        } catch {
          return !0;
        }
      return i instanceof r;
    } catch {
    }
    return !1;
  }, yt;
}
var vt, da;
function io() {
  if (da) return vt;
  da = 1;
  var r = typeof Map == "function" && Map.prototype ? Map : null, t = typeof Set == "function" && Set.prototype ? Set : null, n;
  t || (n = function(i) {
    return !1;
  });
  var o = r ? Map.prototype.has : null, e = t ? Set.prototype.has : null;
  return !n && !e && (n = function(i) {
    return !1;
  }), vt = n || function(i) {
    if (!i || typeof i != "object")
      return !1;
    try {
      if (e.call(i), o)
        try {
          o.call(i);
        } catch {
          return !0;
        }
      return i instanceof t;
    } catch {
    }
    return !1;
  }, vt;
}
var ma;
function Yo() {
  if (ma) return jr.exports;
  ma = 1;
  var r = /* @__PURE__ */ ro(), t = /* @__PURE__ */ Ko();
  if (Lt()() || Ur()()) {
    var n = Symbol.iterator;
    jr.exports = function(q) {
      if (q != null && typeof q[n] < "u")
        return q[n]();
      if (r(q))
        return Array.prototype[n].call(q);
    };
  } else {
    var o = no(), e = ao(), s = /* @__PURE__ */ cr(), i = s("%Map%", !0), a = s("%Set%", !0), f = Xa(), c = f("Array.prototype.push"), g = f("String.prototype.charCodeAt"), p = f("String.prototype.slice"), y = function(q, _) {
      var L = q.length;
      if (_ + 1 >= L)
        return _ + 1;
      var N = g(q, _);
      if (N < 55296 || N > 56319)
        return _ + 1;
      var U = g(q, _ + 1);
      return U < 56320 || U > 57343 ? _ + 1 : _ + 2;
    }, d = function(q) {
      var _ = 0;
      return {
        next: function() {
          var N = _ >= q.length, U;
          return N || (U = q[_], _ += 1), {
            done: N,
            value: U
          };
        }
      };
    }, b = function(q, _) {
      if (o(q) || r(q))
        return d(q);
      if (e(q)) {
        var L = 0;
        return {
          next: function() {
            var U = y(q, L), V = p(q, L, U);
            return L = U, {
              done: U > q.length,
              value: V
            };
          }
        };
      }
      if (_ && typeof q["_es6-shim iterator_"] < "u")
        return q["_es6-shim iterator_"]();
    };
    if (!i && !a)
      jr.exports = function(q) {
        if (q != null)
          return b(q, !0);
      };
    else {
      var j = /* @__PURE__ */ oo(), I = /* @__PURE__ */ io(), w = f("Map.prototype.forEach", !0), O = f("Set.prototype.forEach", !0);
      if (typeof re > "u" || !re.versions || !re.versions.node)
        var S = f("Map.prototype.iterator", !0), T = f("Set.prototype.iterator", !0);
      var X = f("Map.prototype.@@iterator", !0) || f("Map.prototype._es6-shim iterator_", !0), G = f("Set.prototype.@@iterator", !0) || f("Set.prototype._es6-shim iterator_", !0), C = function(q) {
        if (j(q)) {
          if (S)
            return t(S(q));
          if (X)
            return X(q);
          if (w) {
            var _ = [];
            return w(q, function(N, U) {
              c(_, [U, N]);
            }), d(_);
          }
        }
        if (I(q)) {
          if (T)
            return t(T(q));
          if (G)
            return G(q);
          if (O) {
            var L = [];
            return O(q, function(N) {
              c(L, N);
            }), d(L);
          }
        }
      };
      jr.exports = function(q) {
        return C(q) || b(q);
      };
    }
  }
  return jr.exports;
}
var gt, Sa;
function uo() {
  if (Sa) return gt;
  Sa = 1;
  var r = function(t) {
    return t !== t;
  };
  return gt = function(n, o) {
    return n === 0 && o === 0 ? 1 / n === 1 / o : !!(n === o || r(n) && r(o));
  }, gt;
}
var ht, ba;
function fo() {
  if (ba) return ht;
  ba = 1;
  var r = uo();
  return ht = function() {
    return typeof Object.is == "function" ? Object.is : r;
  }, ht;
}
var dt, Aa;
function Xo() {
  if (Aa) return dt;
  Aa = 1;
  var r = fo(), t = Or();
  return dt = function() {
    var o = r();
    return t(Object, { is: o }, {
      is: function() {
        return Object.is !== o;
      }
    }), o;
  }, dt;
}
var mt, Oa;
function Qo() {
  if (Oa) return mt;
  Oa = 1;
  var r = Or(), t = Er(), n = uo(), o = fo(), e = Xo(), s = t(o(), Object);
  return r(s, {
    getPolyfill: o,
    implementation: n,
    shim: e
  }), mt = s, mt;
}
var St, wa;
function so() {
  if (wa) return St;
  wa = 1;
  var r = Er(), t = /* @__PURE__ */ Q(), n = /* @__PURE__ */ cr(), o = n("%ArrayBuffer%", !0), e = t("ArrayBuffer.prototype.byteLength", !0), s = t("Object.prototype.toString"), i = !!o && !e && new o(0).slice, a = !!i && r(i);
  return St = e || a ? function(c) {
    if (!c || typeof c != "object")
      return !1;
    try {
      return e ? e(c) : a(c, 0), !0;
    } catch {
      return !1;
    }
  } : o ? function(c) {
    return s(c) === "[object ArrayBuffer]";
  } : function(c) {
    return !1;
  }, St;
}
var bt, qa;
function Zo() {
  if (qa) return bt;
  qa = 1;
  var r = /* @__PURE__ */ Q(), t = r("Date.prototype.getDay"), n = function(a) {
    try {
      return t(a), !0;
    } catch {
      return !1;
    }
  }, o = r("Object.prototype.toString"), e = "[object Date]", s = wr()();
  return bt = function(a) {
    return typeof a != "object" || a === null ? !1 : s ? n(a) : o(a) === e;
  }, bt;
}
var At, Pa;
function lo() {
  if (Pa) return At;
  Pa = 1;
  var r = /* @__PURE__ */ Q(), t = wr()(), n = /* @__PURE__ */ Vt(), o = /* @__PURE__ */ Ar(), e;
  if (t) {
    var s = r("RegExp.prototype.exec"), i = {}, a = function() {
      throw i;
    }, f = {
      toString: a,
      valueOf: a
    };
    typeof Symbol.toPrimitive == "symbol" && (f[Symbol.toPrimitive] = a), e = function(y) {
      if (!y || typeof y != "object")
        return !1;
      var d = (
        /** @type {NonNullable<typeof gOPD>} */
        o(
          /** @type {{ lastIndex?: unknown }} */
          y,
          "lastIndex"
        )
      ), b = d && n(d, "value");
      if (!b)
        return !1;
      try {
        s(
          y,
          /** @type {string} */
          /** @type {unknown} */
          f
        );
      } catch (j) {
        return j === i;
      }
    };
  } else {
    var c = r("Object.prototype.toString"), g = "[object RegExp]";
    e = function(y) {
      return !y || typeof y != "object" && typeof y != "function" ? !1 : c(y) === g;
    };
  }
  return At = e, At;
}
var Ot, Ia;
function ri() {
  if (Ia) return Ot;
  Ia = 1;
  var r = /* @__PURE__ */ Q(), t = r("SharedArrayBuffer.prototype.byteLength", !0);
  return Ot = t ? function(o) {
    if (!o || typeof o != "object")
      return !1;
    try {
      return t(o), !0;
    } catch {
      return !1;
    }
  } : function(o) {
    return !1;
  }, Ot;
}
var wt, $a;
function ei() {
  if ($a) return wt;
  $a = 1;
  var r = /* @__PURE__ */ Q(), t = r("Number.prototype.toString"), n = function(a) {
    try {
      return t(a), !0;
    } catch {
      return !1;
    }
  }, o = r("Object.prototype.toString"), e = "[object Number]", s = wr()();
  return wt = function(a) {
    return typeof a == "number" ? !0 : !a || typeof a != "object" ? !1 : s ? n(a) : o(a) === e;
  }, wt;
}
var qt, Ra;
function ti() {
  if (Ra) return qt;
  Ra = 1;
  var r = /* @__PURE__ */ Q(), t = r("Boolean.prototype.toString"), n = r("Object.prototype.toString"), o = function(a) {
    try {
      return t(a), !0;
    } catch {
      return !1;
    }
  }, e = "[object Boolean]", s = wr()();
  return qt = function(a) {
    return typeof a == "boolean" ? !0 : a === null || typeof a != "object" ? !1 : s ? o(a) : n(a) === e;
  }, qt;
}
var _r = { exports: {} }, Pt, Ea;
function ni() {
  if (Ea) return Pt;
  Ea = 1;
  var r = /* @__PURE__ */ Q(), t = lo(), n = r("RegExp.prototype.exec"), o = /* @__PURE__ */ tr();
  return Pt = function(s) {
    if (!t(s))
      throw new o("`regex` must be a RegExp");
    return function(a) {
      return n(s, a) !== null;
    };
  }, Pt;
}
var Ba;
function ai() {
  if (Ba) return _r.exports;
  Ba = 1;
  var r = /* @__PURE__ */ Q(), t = r("Object.prototype.toString"), n = Lt()(), o = /* @__PURE__ */ ni();
  if (n) {
    var e = r("Symbol.prototype.toString"), s = o(/^Symbol\(.*\)$/), i = function(f) {
      return typeof f.valueOf() != "symbol" ? !1 : s(e(f));
    };
    _r.exports = function(f) {
      if (typeof f == "symbol")
        return !0;
      if (!f || typeof f != "object" || t(f) !== "[object Symbol]")
        return !1;
      try {
        return i(f);
      } catch {
        return !1;
      }
    };
  } else
    _r.exports = function(f) {
      return !1;
    };
  return _r.exports;
}
var Nr = { exports: {} }, It, Ma;
function oi() {
  if (Ma) return It;
  Ma = 1;
  var r = typeof BigInt < "u" && BigInt;
  return It = function() {
    return typeof r == "function" && typeof BigInt == "function" && typeof r(42) == "bigint" && typeof BigInt(42) == "bigint";
  }, It;
}
var ja;
function ii() {
  if (ja) return Nr.exports;
  ja = 1;
  var r = oi()();
  if (r) {
    var t = BigInt.prototype.valueOf, n = function(e) {
      try {
        return t.call(e), !0;
      } catch {
      }
      return !1;
    };
    Nr.exports = function(e) {
      return e === null || typeof e > "u" || typeof e == "boolean" || typeof e == "string" || typeof e == "number" || typeof e == "symbol" || typeof e == "function" ? !1 : typeof e == "bigint" ? !0 : n(e);
    };
  } else
    Nr.exports = function(e) {
      return !1;
    };
  return Nr.exports;
}
var $t, Ta;
function ui() {
  if (Ta) return $t;
  Ta = 1;
  var r = ao(), t = ei(), n = ti(), o = ai(), e = ii();
  return $t = function(i) {
    if (i == null || typeof i != "object" && typeof i != "function")
      return null;
    if (r(i))
      return "String";
    if (t(i))
      return "Number";
    if (n(i))
      return "Boolean";
    if (o(i))
      return "Symbol";
    if (e(i))
      return "BigInt";
  }, $t;
}
var Rt, xa;
function fi() {
  if (xa) return Rt;
  xa = 1;
  var r = typeof WeakMap == "function" && WeakMap.prototype ? WeakMap : null, t = typeof WeakSet == "function" && WeakSet.prototype ? WeakSet : null, n;
  r || (n = function(i) {
    return !1;
  });
  var o = r ? r.prototype.has : null, e = t ? t.prototype.has : null;
  return !n && !o && (n = function(i) {
    return !1;
  }), Rt = n || function(i) {
    if (!i || typeof i != "object")
      return !1;
    try {
      if (o.call(i, o), e)
        try {
          e.call(i, e);
        } catch {
          return !0;
        }
      return i instanceof r;
    } catch {
    }
    return !1;
  }, Rt;
}
var Wr = { exports: {} }, Fa;
function si() {
  if (Fa) return Wr.exports;
  Fa = 1;
  var r = /* @__PURE__ */ cr(), t = /* @__PURE__ */ Q(), n = r("%WeakSet%", !0), o = t("WeakSet.prototype.has", !0);
  if (o) {
    var e = t("WeakMap.prototype.has", !0);
    Wr.exports = function(i) {
      if (!i || typeof i != "object")
        return !1;
      try {
        if (o(i, o), e)
          try {
            e(i, e);
          } catch {
            return !0;
          }
        return i instanceof n;
      } catch {
      }
      return !1;
    };
  } else
    Wr.exports = function(i) {
      return !1;
    };
  return Wr.exports;
}
var Et, Da;
function li() {
  if (Da) return Et;
  Da = 1;
  var r = /* @__PURE__ */ oo(), t = /* @__PURE__ */ io(), n = fi(), o = /* @__PURE__ */ si();
  return Et = function(s) {
    if (s && typeof s == "object") {
      if (r(s))
        return "Map";
      if (t(s))
        return "Set";
      if (n(s))
        return "WeakMap";
      if (o(s))
        return "WeakSet";
    }
    return !1;
  }, Et;
}
var Bt, Ca;
function ci() {
  if (Ca) return Bt;
  Ca = 1;
  var r = Function.prototype.toString, t = typeof Reflect == "object" && Reflect !== null && Reflect.apply, n, o;
  if (typeof t == "function" && typeof Object.defineProperty == "function")
    try {
      n = Object.defineProperty({}, "length", {
        get: function() {
          throw o;
        }
      }), o = {}, t(function() {
        throw 42;
      }, null, n);
    } catch (O) {
      O !== o && (t = null);
    }
  else
    t = null;
  var e = /^\s*class\b/, s = function(S) {
    try {
      var T = r.call(S);
      return e.test(T);
    } catch {
      return !1;
    }
  }, i = function(S) {
    try {
      return s(S) ? !1 : (r.call(S), !0);
    } catch {
      return !1;
    }
  }, a = Object.prototype.toString, f = "[object Object]", c = "[object Function]", g = "[object GeneratorFunction]", p = "[object HTMLAllCollection]", y = "[object HTML document.all class]", d = "[object HTMLCollection]", b = typeof Symbol == "function" && !!Symbol.toStringTag, j = !(0 in [,]), I = function() {
    return !1;
  };
  if (typeof document == "object") {
    var w = document.all;
    a.call(w) === a.call(document.all) && (I = function(S) {
      if ((j || !S) && (typeof S > "u" || typeof S == "object"))
        try {
          var T = a.call(S);
          return (T === p || T === y || T === d || T === f) && S("") == null;
        } catch {
        }
      return !1;
    });
  }
  return Bt = t ? function(S) {
    if (I(S))
      return !0;
    if (!S || typeof S != "function" && typeof S != "object")
      return !1;
    try {
      t(S, null, n);
    } catch (T) {
      if (T !== o)
        return !1;
    }
    return !s(S) && i(S);
  } : function(S) {
    if (I(S))
      return !0;
    if (!S || typeof S != "function" && typeof S != "object")
      return !1;
    if (b)
      return i(S);
    if (s(S))
      return !1;
    var T = a.call(S);
    return T !== c && T !== g && !/^\[object HTML/.test(T) ? !1 : i(S);
  }, Bt;
}
var Mt, _a;
function pi() {
  if (_a) return Mt;
  _a = 1;
  var r = ci(), t = Object.prototype.toString, n = Object.prototype.hasOwnProperty, o = function(f, c, g) {
    for (var p = 0, y = f.length; p < y; p++)
      n.call(f, p) && (g == null ? c(f[p], p, f) : c.call(g, f[p], p, f));
  }, e = function(f, c, g) {
    for (var p = 0, y = f.length; p < y; p++)
      g == null ? c(f.charAt(p), p, f) : c.call(g, f.charAt(p), p, f);
  }, s = function(f, c, g) {
    for (var p in f)
      n.call(f, p) && (g == null ? c(f[p], p, f) : c.call(g, f[p], p, f));
  };
  function i(a) {
    return t.call(a) === "[object Array]";
  }
  return Mt = function(f, c, g) {
    if (!r(c))
      throw new TypeError("iterator must be a function");
    var p;
    arguments.length >= 3 && (p = g), i(f) ? o(f, c, p) : typeof f == "string" ? e(f, c, p) : s(f, c, p);
  }, Mt;
}
var jt, Na;
function yi() {
  return Na || (Na = 1, jt = [
    "Float16Array",
    "Float32Array",
    "Float64Array",
    "Int8Array",
    "Int16Array",
    "Int32Array",
    "Uint8Array",
    "Uint8ClampedArray",
    "Uint16Array",
    "Uint32Array",
    "BigInt64Array",
    "BigUint64Array"
  ]), jt;
}
var Tt, Wa;
function vi() {
  if (Wa) return Tt;
  Wa = 1;
  var r = /* @__PURE__ */ yi(), t = typeof globalThis > "u" ? kr : globalThis;
  return Tt = function() {
    for (var o = [], e = 0; e < r.length; e++)
      typeof t[r[e]] == "function" && (o[o.length] = r[e]);
    return o;
  }, Tt;
}
var xt, ka;
function gi() {
  if (ka) return xt;
  ka = 1;
  var r = pi(), t = /* @__PURE__ */ vi(), n = Er(), o = /* @__PURE__ */ Q(), e = /* @__PURE__ */ Ar(), s = zt(), i = o("Object.prototype.toString"), a = wr()(), f = typeof globalThis > "u" ? kr : globalThis, c = t(), g = o("String.prototype.slice"), p = o("Array.prototype.indexOf", !0) || function(I, w) {
    for (var O = 0; O < I.length; O += 1)
      if (I[O] === w)
        return O;
    return -1;
  }, y = { __proto__: null };
  a && e && s ? r(c, function(j) {
    var I = new f[j]();
    if (Symbol.toStringTag in I && s) {
      var w = s(I), O = e(w, Symbol.toStringTag);
      if (!O && w) {
        var S = s(w);
        O = e(S, Symbol.toStringTag);
      }
      y["$" + j] = n(O.get);
    }
  }) : r(c, function(j) {
    var I = new f[j](), w = I.slice || I.set;
    w && (y[
      /** @type {`$${import('.').TypedArrayName}`} */
      "$" + j
    ] = /** @type {import('./types').BoundSlice | import('./types').BoundSet} */
    // @ts-expect-error TODO FIXME
    n(w));
  });
  var d = function(I) {
    var w = !1;
    return r(
      /** @type {Record<`\$${import('.').TypedArrayName}`, Getter>} */
      y,
      /** @type {(getter: Getter, name: `\$${import('.').TypedArrayName}`) => void} */
      function(O, S) {
        if (!w)
          try {
            "$" + O(I) === S && (w = /** @type {import('.').TypedArrayName} */
            g(S, 1));
          } catch {
          }
      }
    ), w;
  }, b = function(I) {
    var w = !1;
    return r(
      /** @type {Record<`\$${import('.').TypedArrayName}`, Getter>} */
      y,
      /** @type {(getter: Getter, name: `\$${import('.').TypedArrayName}`) => void} */
      function(O, S) {
        if (!w)
          try {
            O(I), w = /** @type {import('.').TypedArrayName} */
            g(S, 1);
          } catch {
          }
      }
    ), w;
  };
  return xt = function(I) {
    if (!I || typeof I != "object")
      return !1;
    if (!a) {
      var w = g(i(I), 8, -1);
      return p(c, w) > -1 ? w : w !== "Object" ? !1 : b(I);
    }
    return e ? d(I) : null;
  }, xt;
}
var Ft, La;
function hi() {
  if (La) return Ft;
  La = 1;
  var r = /* @__PURE__ */ Q(), t = r("ArrayBuffer.prototype.byteLength", !0), n = /* @__PURE__ */ so();
  return Ft = function(e) {
    return n(e) ? t ? t(e) : e.byteLength : NaN;
  }, Ft;
}
var Dt, Ua;
function di() {
  if (Ua) return Dt;
  Ua = 1;
  var r = _o(), t = Xa(), n = Lo(), o = /* @__PURE__ */ cr(), e = Yo(), s = to(), i = Qo(), a = /* @__PURE__ */ ro(), f = no(), c = /* @__PURE__ */ so(), g = /* @__PURE__ */ Zo(), p = lo(), y = /* @__PURE__ */ ri(), d = Ct(), b = ui(), j = /* @__PURE__ */ li(), I = /* @__PURE__ */ gi(), w = /* @__PURE__ */ hi(), O = t("SharedArrayBuffer.prototype.byteLength", !0), S = t("Date.prototype.getTime"), T = Object.getPrototypeOf, X = t("Object.prototype.toString"), G = o("%Set%", !0), C = t("Map.prototype.has", !0), D = t("Map.prototype.get", !0), q = t("Map.prototype.size", !0), _ = t("Set.prototype.add", !0), L = t("Set.prototype.delete", !0), N = t("Set.prototype.has", !0), U = t("Set.prototype.size", !0);
  function V(v, h, R, $) {
    for (var M = e(v), x; (x = M.next()) && !x.done; )
      if (H(h, x.value, R, $))
        return L(v, x.value), !0;
    return !1;
  }
  function ir(v) {
    if (typeof v > "u")
      return null;
    if (typeof v != "object")
      return typeof v == "symbol" ? !1 : typeof v == "string" || typeof v == "number" ? +v == +v : !0;
  }
  function qr(v, h, R, $, M, x) {
    var A = ir(R);
    if (A != null)
      return A;
    var P = D(h, A), m = r({}, M, { strict: !1 });
    return typeof P > "u" && !C(h, A) || !H($, P, m, x) ? !1 : !C(v, A) && H($, P, m, x);
  }
  function dr(v, h, R) {
    var $ = ir(R);
    return $ ?? (N(h, $) && !N(v, $));
  }
  function nr(v, h, R, $, M, x) {
    for (var A = e(v), P, m; (P = A.next()) && !P.done; )
      if (m = P.value, // eslint-disable-next-line no-use-before-define
      H(R, m, M, x) && H($, D(h, m), M, x))
        return L(v, m), !0;
    return !1;
  }
  function H(v, h, R, $) {
    var M = R || {};
    if (M.strict ? i(v, h) : v === h)
      return !0;
    var x = b(v), A = b(h);
    if (x !== A)
      return !1;
    if (!v || !h || typeof v != "object" && typeof h != "object")
      return M.strict ? i(v, h) : v == h;
    var P = $.has(v), m = $.has(h), E;
    if (P && m) {
      if ($.get(v) === $.get(h))
        return !0;
    } else
      E = {};
    return P || $.set(v, E), m || $.set(h, E), pr(v, h, M, $);
  }
  function mr(v) {
    return !v || typeof v != "object" || typeof v.length != "number" || typeof v.copy != "function" || typeof v.slice != "function" || v.length > 0 && typeof v[0] != "number" ? !1 : !!(v.constructor && v.constructor.isBuffer && v.constructor.isBuffer(v));
  }
  function Pr(v, h, R, $) {
    if (U(v) !== U(h))
      return !1;
    for (var M = e(v), x = e(h), A, P, m; (A = M.next()) && !A.done; )
      if (A.value && typeof A.value == "object")
        m || (m = new G()), _(m, A.value);
      else if (!N(h, A.value)) {
        if (R.strict || !dr(v, h, A.value))
          return !1;
        m || (m = new G()), _(m, A.value);
      }
    if (m) {
      for (; (P = x.next()) && !P.done; )
        if (P.value && typeof P.value == "object") {
          if (!V(m, P.value, R.strict, $))
            return !1;
        } else if (!R.strict && !N(v, P.value) && !V(m, P.value, R.strict, $))
          return !1;
      return U(m) === 0;
    }
    return !0;
  }
  function Sr(v, h, R, $) {
    if (q(v) !== q(h))
      return !1;
    for (var M = e(v), x = e(h), A, P, m, E, z, J; (A = M.next()) && !A.done; )
      if (E = A.value[0], z = A.value[1], E && typeof E == "object")
        m || (m = new G()), _(m, E);
      else if (J = D(h, E), typeof J > "u" && !C(h, E) || !H(z, J, R, $)) {
        if (R.strict || !qr(v, h, E, z, R, $))
          return !1;
        m || (m = new G()), _(m, E);
      }
    if (m) {
      for (; (P = x.next()) && !P.done; )
        if (E = P.value[0], J = P.value[1], E && typeof E == "object") {
          if (!nr(m, v, E, J, R, $))
            return !1;
        } else if (!R.strict && (!v.has(E) || !H(D(v, E), J, R, $)) && !nr(m, v, E, J, r({}, R, { strict: !1 }), $))
          return !1;
      return U(m) === 0;
    }
    return !0;
  }
  function pr(v, h, R, $) {
    var M, x;
    if (typeof v != typeof h || v == null || h == null || X(v) !== X(h) || a(v) !== a(h))
      return !1;
    var A = f(v), P = f(h);
    if (A !== P)
      return !1;
    var m = v instanceof Error, E = h instanceof Error;
    if (m !== E || (m || E) && (v.name !== h.name || v.message !== h.message))
      return !1;
    var z = p(v), J = p(h);
    if (z !== J || (z || J) && (v.source !== h.source || n(v) !== n(h)))
      return !1;
    var K = g(v), Y = g(h);
    if (K !== Y || (K || Y) && S(v) !== S(h) || R.strict && T && T(v) !== T(h))
      return !1;
    var Z = I(v), ur = I(h);
    if (Z !== ur)
      return !1;
    if (Z || ur) {
      if (v.length !== h.length)
        return !1;
      for (M = 0; M < v.length; M++)
        if (v[M] !== h[M])
          return !1;
      return !0;
    }
    var ar = mr(v), rr = mr(h);
    if (ar !== rr)
      return !1;
    if (ar || rr) {
      if (v.length !== h.length)
        return !1;
      for (M = 0; M < v.length; M++)
        if (v[M] !== h[M])
          return !1;
      return !0;
    }
    var fr = c(v), sr = c(h);
    if (fr !== sr)
      return !1;
    if (fr || sr)
      return w(v) !== w(h) ? !1 : typeof Uint8Array == "function" && H(new Uint8Array(v), new Uint8Array(h), R, $);
    var lr = y(v), xr = y(h);
    if (lr !== xr)
      return !1;
    if (lr || xr)
      return O(v) !== O(h) ? !1 : typeof Uint8Array == "function" && H(new Uint8Array(v), new Uint8Array(h), R, $);
    if (typeof v != typeof h)
      return !1;
    var yr = d(v), Ir = d(h);
    if (yr.length !== Ir.length)
      return !1;
    for (yr.sort(), Ir.sort(), M = yr.length - 1; M >= 0; M--)
      if (yr[M] != Ir[M])
        return !1;
    for (M = yr.length - 1; M >= 0; M--)
      if (x = yr[M], !H(v[x], h[x], R, $))
        return !1;
    var Br = j(v), vr = j(h);
    return Br !== vr ? !1 : Br === "Set" || vr === "Set" ? Pr(v, h, R, $) : Br === "Map" ? Sr(v, h, R, $) : !0;
  }
  return Dt = function(h, R, $) {
    return H(h, R, $, s());
  }, Dt;
}
var mi = di();
const bi = /* @__PURE__ */ ho(mi);
export {
  bi as d
};
